Bug 1568550 - CFME: OpenSCAP evaluation report target machine does not show container image name
Summary: CFME: OpenSCAP evaluation report target machine does not show container image...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.9.2
Assignee: Ari Zellner
QA Contact: brahmani
URL:
Whiteboard:
Depends On: 1554250
Blocks: 1554897
TreeView+ depends on / blocked
 
Reported: 2018-04-17 18:11 UTC by Satoe Imaishi
Modified: 2018-05-09 13:50 UTC (History)
10 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1554250
Environment:
Last Closed: 2018-05-07 20:49:36 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)
OpenSCAP report (95.22 KB, image/png)
2018-04-29 14:18 UTC, brahmani
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:50:28 UTC

Comment 2 CFME Bot 2018-04-17 20:23:57 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/a0ec188df129f1db1e0fef2ca7db2ae869c885bc
commit a0ec188df129f1db1e0fef2ca7db2ae869c885bc
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Apr 17 14:04:59 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Apr 17 14:04:59 2018 -0400

    Merge pull request #3758 from zeari/image_inspector_filename

    meaningful openscap report filenames
    (cherry picked from commit b435cf72ee4cd8432a7e5d52e3422273f493f5bb)

    https://bugzilla.redhat.com/show_bug.cgi?id=1568550

 app/controllers/container_image_controller.rb | 10 +-
 1 file changed, 9 insertions(+), 1 deletion(-)

Comment 3 CFME Bot 2018-04-17 20:24:34 UTC
New commit detected on ManageIQ/manageiq-providers-kubernetes/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-kubernetes/commit/90de55ae9833e6588e62be23fda210b85971f30c
commit 90de55ae9833e6588e62be23fda210b85971f30c
Author:     Mooli Tayer <mtayer@redhat.com>
AuthorDate: Tue Apr 17 09:14:34 2018 -0400
Commit:     Mooli Tayer <mtayer@redhat.com>
CommitDate: Tue Apr 17 09:14:34 2018 -0400

    Merge pull request #248 from zeari/image_inspecor

    change evaluation target in openscap reports to image name
    (cherry picked from commit d86b1be00ea81656be0d9bd6216bc71875afd7c4)

    https://bugzilla.redhat.com/show_bug.cgi?id=1568550

 app/models/manageiq/providers/kubernetes/container_manager/scanning/job.rb | 3 +
 spec/models/manageiq/providers/kubernetes/container_manager/scanning/job_spec.rb | 14 +
 2 files changed, 17 insertions(+)

Comment 4 brahmani 2018-04-29 14:16:55 UTC
Verified on 5.9.2.3.20180419182310_cab2891.

Run SSA on  jboss-amq-6/amq62-openshift image.

On OpenSCAP report, The Evaluation target is with  image name: "amq62openshift"

See attached screenshot of the report.

Comment 5 brahmani 2018-04-29 14:18:02 UTC
Created attachment 1428411 [details]
OpenSCAP report

Comment 8 errata-xmlrpc 2018-05-07 20:49:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.